Register Current Project Style Artifact
curl --request PUT \
--url https://api.veryfront.com/projects/{project_reference}/style-artifacts/current \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"style_profile_hash": "<string>",
"branch": "<string>",
"environment_name": "<string>",
"release_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "ready",
"artifact_hash": "<string>",
"asset_path": "<string>",
"content_type": "<string>",
"etag": "<string>",
"build_run_id": "<string>",
"failure_reason": "<string>"
}
'import requests
url = "https://api.veryfront.com/projects/{project_reference}/style-artifacts/current"
payload = {
"style_profile_hash": "<string>",
"branch": "<string>",
"environment_name": "<string>",
"release_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "ready",
"artifact_hash": "<string>",
"asset_path": "<string>",
"content_type": "<string>",
"etag": "<string>",
"build_run_id": "<string>",
"failure_reason": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
style_profile_hash: '<string>',
branch: '<string>',
environment_name: '<string>',
release_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
status: 'ready',
artifact_hash: '<string>',
asset_path: '<string>',
content_type: '<string>',
etag: '<string>',
build_run_id: '<string>',
failure_reason: '<string>'
})
};
fetch('https://api.veryfront.com/projects/{project_reference}/style-artifacts/current', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"artifact_hash": "<string>",
"asset_path": "<string>",
"etag": "<string>",
"content_type": "<string>",
"build_run_id": "<string>",
"failure_reason": "<string>",
"updated_at": "<string>"
}Register Current Project Style Artifact
Store metadata for the latest ready CSS artifact for a project selector and style profile.
PUT
/
projects
/
{project_reference}
/
style-artifacts
/
current
Register Current Project Style Artifact
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Path Parameters
Body
application/json
Minimum string length:
1Minimum string length:
1Minimum string length:
1Available options:
building, ready, failed Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1⌘I